%define upstream_name    MouseX-Getopt
%define upstream_version 0.36

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Optional meta attribute trait for ignoring params
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MouseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Getopt::Long) >= 2.370.0
BuildRequires: perl(Getopt::Long::Descriptive) >= 0.91.0
BuildRequires: perl(Module::Build)
BuildRequires: perl(Mouse) >= 0.640.0
BuildRequires: perl(Test::Exception) >= 0.210.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warn) >= 0.210.0
BuildArch:  noarch

%description
This is a role which provides an alternate constructor for creating objects
using parameters passed in from the command line.

This module attempts to DWIM as much as possible with the command line
params by introspecting your class's attributes. It will use the name of
your attribute as the command line option, and if there is a type
constraint defined, it will configure Getopt::Long to handle the option
accordingly.

You can use the trait the MouseX::Getopt::Meta::Attribute::Trait manpage or
the attribute metaclass the MouseX::Getopt::Meta::Attribute manpage to get
non-default commandline option names and aliases.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README.md
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.360.0-3.mga6
+ Revision: 1030735
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.360.0-2.mga6
+ Revision: 967499
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.360.0-1.mga6
+ Revision: 849121
- update to 0.36

* Sun Dec 07 2014 sander85 <sander85> 0.340.0-5.mga5
+ Revision: 802085
- Fix test

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.340.0-3.mga4
+ Revision: 513316
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.340.0-2.mga3
+ Revision: 370378
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.340.0-1.mga3
+ Revision: 255178
- update to 0.34

* Thu Jun 30 2011 jquelin <jquelin> 0.330.0-1.mga2
+ Revision: 116731
- imported package perl-MouseX-Getopt


* Thu Jun 30 2011 cpan2dist 0.33-1mga
- initial mageia release, generated with cpan2dist
